package com.kingtom.lightflow.engine.command;

import com.kingtom.lightflow.engine.cxt.FlowContext;

/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2024/7/7 19:57
 */
public interface IFlowCommand {

    /**
     * 流程命令执行
     * @param context 流程上下文
     */
    void execute(FlowContext context);

}
