package com.kingtom.lightflow.engine.command;

import com.kingtom.lightflow.engine.model.biz.FlowDef;
import com.kingtom.lightflow.engine.cxt.FlowContext;
import com.kingtom.kirin.core.common.base.Result;

/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2024/7/9 18:11
 */
public class SaveCommand implements IFlowCommand {

    protected FlowDef flowDef;

    protected String flowDefId;

    /**
     * 默认不发布
     */
    protected Boolean canPublish = Boolean.FALSE;

    protected Result<Boolean> result;

    public FlowDef getFlowDef() {
        return flowDef;
    }

    public void setFlowDef(FlowDef flowDef) {
        this.flowDef = flowDef;
    }

    public String getFlowDefId() {
        return flowDefId;
    }

    public void setFlowDefId(String flowDefId) {
        this.flowDefId = flowDefId;
    }

    public Boolean getCanPublish() {
        return canPublish;
    }

    public void setCanPublish(Boolean canPublish) {
        this.canPublish = canPublish;
    }

    public Result<Boolean> getResult() {
        return result;
    }

    public void setResult(Result<Boolean> result) {
        this.result = result;
    }

    @Override
    public void execute(FlowContext context) {
        CheckCommand c = new CheckCommand();
        context.getFlowEngine().executeCommand(c);

    }
}
