package com.kingtom.lightflow.engine.core;

import com.kingtom.lightflow.engine.command.IFlowCommand;
import com.kingtom.lightflow.engine.cxt.FlowContext;
import com.kingtom.lightflow.engine.cxt.FlowInput;
import com.kingtom.lightflow.engine.cxt.FlowOutput;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 流程引擎
 * 1、对外对接：流程相关存储、数据相关接口、流程元素（对象、连接）相关接口
 * 2、对内协作：把对接的东西按照流程的stepTOstep方式运行起来
 * @author King
 * @since 2023/12/25 16:19
 */
public class FlowEngine {

    protected FlowConfigContainer flowConfigContainer;

    public void setFlowConfigContainer(FlowConfigContainer flowConfigContainer) {
        this.flowConfigContainer = flowConfigContainer;
    }

    public void executeCommand(IFlowCommand command) {

    }

    public void executeCommand(IFlowCommand command, FlowInput flowInput, FlowOutput flowOutput) {

    }

    protected FlowContext createContext() {
        FlowContext r = new FlowContext();
        r.setFlowDefOperator(null);
        r.setFlowRunOperator(null);
        r.setFlowParam(null);
        return r;
    }

}
