package com.kingtom.lightflow.engine.cxt;

import com.kingtom.lightflow.engine.FlowEngineConst;
import com.kingtom.lightflow.engine.model.bean.FlowDefInfo;
import com.kingtom.kirin.core.common.transfer.Output;

/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2024/3/15 14:59
 */
public class FlowResult {

    /**
     * 流程信息
     */
    protected FlowDefInfo flowInfo;

    /**
     * 流程状态
     */
    protected FlowEngineConst.FlowStateEnum flowState;

    /**
     * 流程结果
     */
    protected Output output;

    public FlowDefInfo getFlowInfo() {
        return flowInfo;
    }

    public void setFlowInfo(FlowDefInfo flowInfo) {
        this.flowInfo = flowInfo;
    }

    public FlowEngineConst.FlowStateEnum getFlowState() {
        return flowState;
    }

    public void setFlowState(FlowEngineConst.FlowStateEnum flowState) {
        this.flowState = flowState;
    }

    public Output getOutput() {
        return output;
    }

    public void setOutput(Output output) {
        this.output = output;
    }
}
