package com.kingtom.lightflow.engine.ext;

import com.kingtom.lightflow.engine.model.biz.FlowDef;

import java.util.concurrent.Flow;

/**
 * <p>
 * Copyright: Copyright (C) 2023 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2023/12/26 17:33
 */
public interface IFlowStorageHandler {

    void saveFlowDef(FlowDef flowDef);

    FlowDef findFlowByCode(String flowCode);

    void saveFlowEntry(String flowCode);

    /**
     * 根据实例ID获取存储的流程实例
     * @param entryId
     * @return
     */
    Flow findFlowEntryById(String entryId);

}
