/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 自研工作流引擎：轻流
 * 两大部分：流程设计（管理流程逻辑）、流程运行（管理实际运转）
 * 三个设计基本概念：参数（全局参数，局部参数）、节点（具体任务节点、开始节点、分支节点、结束节点等）、连接（顺序连接、条件连接等）
 * 三个运行基本概念：运行上下文，事件及监听，处理器
 * 二个基本逻辑：流程设计bean、流程运行bean
 * 四大结构：引擎（总），引擎配置工厂（配置引擎相关扩展接口），设计服务，运行服务
 * 常规扩展：存储扩展，流程扩展（类型、节点、连接）
 * @author King
 * @since 2024/4/5 17:03
 */
package com.kingtom.lightflow;