package com.kingtom.lightflow.engine.command;

import com.kingtom.lightflow.engine.model.biz.FlowDef;
import com.kingtom.lightflow.engine.cxt.FlowContext;
import com.kingtom.kirin.core.common.base.Result;

/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 *
 * @author King
 * @since 2024/7/9 18:13
 */
public class CheckCommand implements IFlowCommand{

    /**
     * 待检查的流程定义
     */
    protected FlowDef paramFlowDef;

    /**
     * 是否要做完整性填充
     */
    protected Boolean canFill;

    /**
     * 检查结果
     */
    protected Result<Boolean> result;

    public FlowDef getParamFlowDef() {
        return paramFlowDef;
    }

    public void setParamFlowDef(FlowDef paramFlowDef) {
        this.paramFlowDef = paramFlowDef;
    }

    public Result<Boolean> getResult() {
        return result;
    }

    public void setResult(Result<Boolean> result) {
        this.result = result;
    }

    @Override
    public void execute(FlowContext context) {

    }
}
