package com.kingtom.lightflow.engine.core;

import java.util.List;

/**
 * <p>
 * Copyright: Copyright (C) 2024 KingTom, Inc. All rights reserved. <p>
 * Company: 成都诚唐科技有限公司<p>
 * 引擎配置对象
 * @author King
 * @since 2024/3/1 15:51
 */
public class FLowConfig {

    /**
     * 流程处理器
     */
    protected List<String> flowHandlers;

    /**
     * 流程存储
     */
    protected String flowStorage;

    /**
     * 流程角色
     */
    protected String flowRole;

    public List<String> getFlowHandlers() {
        return flowHandlers;
    }

    public void setFlowHandlers(List<String> flowHandlers) {
        this.flowHandlers = flowHandlers;
    }

    public String getFlowStorage() {
        return flowStorage;
    }

    public void setFlowStorage(String flowStorage) {
        this.flowStorage = flowStorage;
    }
}
